// _  _   __  __  ___  ____     ___  __   _  _  _  _   __   __ _  ____  ____ 
/// )( \ /  \(  )/ __)(  __)   / __)/  \ ( \/ )( \/ ) / _\ (  ( \(    \/ ___)
//\ \/ /(  O ))(( (__  ) _)   ( (__(  O )/ \/ \/ \/ \/    \/    / ) D (\___ \
// \__/  \__/(__)\___)(____)   \___)\__/ \_)(_/\_)(_/\_/\_/\_)__)(____/(____/
//Made by Commander Nick BL_ID 18454

//RTB PREF
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
    if(!$RTB::RTBR_ServerControl_Hook)
    {
        exec("Add-Ons/System_ReturnToBlockland/hooks/serverControl.cs");
    }	
	RTB_registerPref("Voice Commands","Enable/Disable Chat Broadcasting","Pref::Server::DisableVoiceCMDS","bool","Script_Voice_Commands", false, false, true);
}

//DATABLOCKS
datablock AudioProfile(Scout_GoGoGo01)
{
	filename = "./Scout_GoGoGo01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_medic1)
{
	filename = "./Scout_medic01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_thanks01)
{
	filename = "./Scout_thanks01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_moveitup01)
{
	filename = "./Scout_moveup01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_left01)
{
	filename = "./Scout_headleft01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_right01)
{
	filename = "./Scout_headright01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_spy01)
{
	filename = "./Scout_spy01.wav";
	description = AudioClosest3d;
	preload = false;
};

datablock AudioProfile(Scout_actCharge01)
{
	filename = "./Scout_activatecharge01.wav";
	description = AudioClosest3d;
	preload = false;
};

//HOST

package voice
{
	function serverCmdvoicecmds(%d)
	{
		messageclient(%d, '', "\c5Voice Commands:");
		messageclient(%d, '', "\c5-----------------------------------------------------");
		messageclient(%d, '', "\c5#1 : \c3MEDIC!      \c5#5 : \c3Go left!");
		messageclient(%d, '', "\c5#2 : \c3Thanks!     \c5#6 : \c3Go right!");
		messageclient(%d, '', "\c5#3 : \c3Go Go Go!   \c5#7 : \c3Spy! ");
		messageclient(%d, '', "\c5#4 : \c3Move up!    \c5#8 : \c3Activate UberCharge!");
	}
	
	//PLAYING A VOICE TO THE CLIENT
	function servercmdPlayVoice(%client, %num)
	{
		if($Sim::Time - %client.lasttime > 2)
		{
			%client.lasttime = $Sim::Time;
			%pos = %client.player.gettransform();
			switch$(%num)
			{
				case 1:
					serverPlay3D(Scout_medic1,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)MEDIC!");
				case 2:
					serverPlay3D(Scout_thanks01,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)Thanks!");
				case 3:
					serverPlay3D(Scout_GoGoGo01,%pos);
					if($Pref::Server::DisableVoiceCMDS)	
						servercmdmessagesent(%client,"(VOICE)Go go go!");
				case 4:
					serverPlay3D(Scout_moveitup01,%pos);
					if($Pref::Server::DisableVoiceCMDS)	
						servercmdmessagesent(%client,"(VOICE)Move it up!");
				case 5:
					serverPlay3D(Scout_left01,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)Go left!");
				case 6:
					serverPlay3D(Scout_right01,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)Go right!");
				case 7:
					serverPlay3D(Scout_spy01,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)Spy over here!");
				case 8:
					serverPlay3D(Scout_actCharge01,%pos);
					if($Pref::Server::DisableVoiceCMDS)
						servercmdmessagesent(%client,"(VOICE)Hit it Doc!");
				default:
					echo("[VOICE ERROR]Button number not found");
			}
		}	
		else
		{
			%client.chatMessage("\c6You are doing that too much.");
		}
	}
	function GameConnection::OnClientEnterGame(%this)
	{
		%this.chatMessage("\c6This server is running Voice Commands V.1");
		%this.chatMessage("\c6Made by Commander Nick BL_ID 18454");
		Parent::onClientEnterGame(%this);
	}
	function serverCmdBrickOverride_RequestAck(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack', %this);
	}
	function serverCmdBrickOverride_RequestAck2(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack2', %this);
	}
	function serverCmdBrickOverride_RequestAck3(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack3', %this);
	}
	function serverCmdBrickOverride_RequestAck4(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack4', %this);
	}
	function serverCmdBrickOverride_RequestAck5(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack5', %this);
	}
	function serverCmdBrickOverride_RequestAck6(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack6', %this);
	}
	function serverCmdBrickOverride_RequestAck7(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack7', %this);
	}
	function serverCmdBrickOverride_RequestAck8(%client, %this)
	{	
		//echo("Voice Wanted");
		commandToClient(%client,'BrickOverride_Ack8', %this);
	}
};
activatepackage(voice);
